### A free/open-source library for quantitative finance

Public Member Functions
BlackCapFloorEngine Class Reference
Cap/floor engines

Black-formula cap/floor engine. More...

`#include <ql/pricingengines/capfloor/blackcapfloorengine.hpp>`

Inheritance diagram for BlackCapFloorEngine:
[legend]

List of all members.

## Public Member Functions

| BlackCapFloorEngine (const Handle< YieldTermStructure > &discountCurve, Volatility vol, const DayCounter &dc=Actual365Fixed())
| BlackCapFloorEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< Quote > &vol, const DayCounter &dc=Actual365Fixed())
| BlackCapFloorEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< OptionletVolatilityStructure > &vol)
void | calculate () const
Handle< YieldTermStructure > | termStructure ()
Handle < OptionletVolatilityStructure > | volatility ()

## Detailed Description

Black-formula cap/floor engine.